### Retrieve the Values of a Single Dimension for One or More Meters

#### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/dataexplorer/mergedmeterdimensions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "meterCodes": [\
    "<string>"\
  ],
  "dimensionName": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "attributes": [\
    "<string>"\
  ],
  "limit": 123
}
'
```

#### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/mergedmeterdimensions"

payload = {
    "meterCodes": ["<string>"],
    "dimensionName": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "attributes": ["<string>"],
    "limit": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    meterCodes: ['<string>'],
    dimensionName: '<string>',
    startDate: '2023-11-07T05:31:56Z',
    endDate: '2023-11-07T05:31:56Z',
    attributes: ['<string>'],
    limit: 123
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/mergedmeterdimensions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexplorer/mergedmeterdimensions",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'meterCodes' => [
        '<string>'
    ],
    'dimensionName' => '<string>',
    'startDate' => '2023-11-07T05:31:56Z',
    'endDate' => '2023-11-07T05:31:56Z',
    'attributes' => [
        '<string>'
    ],
    'limit' => 123
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/mergedmeterdimensions"

payload := strings.NewReader("{\n  \"meterCodes\": [\n    \"<string>\"\n  ],\n  \"dimensionName\": \"<string>\",\n  \"startDate\": \"2023-11-07T05:31:56Z\",\n  \"endDate\": \"2023-11-07T05:31:56Z\",\n  \"attributes\": [\n    \"<string>\"\n  ],\n  \"limit\": 123\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Response Structure

```json
{
  "meterCode": "<string>",
  "dimensionName": "<string>",
  "dimensionValues": [
    {
      "dimensionAttribute": "<string>",
      "dimensionValue": "<string>"
    }
  ]
}
```

```json
{
  "message": "<string>"
}
```

#### Authorization

- **Authorization**: string (header) required  
  m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

#### Path Parameters
- **orgId**: string required - UUID of the organization

#### Request Body
- **meterCodes**: string[] required - Codes representing Meters.  
- **dimensionName**: string required - The name of a Meter dimension.  
- **startDate**: string<date-time> required - ISO 8601 formatted start date.  
- **endDate**: string<date-time> required - ISO 8601 formatted end date.  
- **attributes**: string[] - Attributes to filter values by.  
- **limit**: integer<int32> - Limit the records returned.
